/*
 * macro.h
 *
 *  Created on: Jan 16, 2011
 *      Author: Mariusz
 */

#ifndef MACRO_H_
#define MACRO_H_

//makra wczajce wskazan diode
#define LED_1_ON	GPIO_SetBits(GPIOB, GPIO_Pin_8)
#define LED_2_ON	GPIO_SetBits(GPIOB, GPIO_Pin_9)
#define LED_3_ON	GPIO_SetBits(GPIOB, GPIO_Pin_10)
#define LED_4_ON	GPIO_SetBits(GPIOB, GPIO_Pin_11)
#define LED_5_ON	GPIO_SetBits(GPIOB, GPIO_Pin_12)
#define LED_6_ON	GPIO_SetBits(GPIOB, GPIO_Pin_13)
#define LED_7_ON	GPIO_SetBits(GPIOB, GPIO_Pin_14)
#define LED_8_ON	GPIO_SetBits(GPIOB, GPIO_Pin_15)

//makra wyczajce wskazan diode
#define LED_1_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_8)
#define LED_2_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_9)
#define LED_3_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_10)
#define LED_4_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_11)
#define LED_5_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_12)
#define LED_6_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_13)
#define LED_7_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_14)
#define LED_8_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_15)

//makra przeczajce wskazan diode
#define LED_1_INV ((GPIOB->ODR & GPIO_Pin_8)?(LED_1_OFF):(LED_1_ON))
#define LED_2_INV ((GPIOB->ODR & GPIO_Pin_9)?(LED_2_OFF):(LED_2_ON))
#define LED_3_INV ((GPIOB->ODR & GPIO_Pin_10)?(LED_3_OFF):(LED_3_ON))
#define LED_4_INV ((GPIOB->ODR & GPIO_Pin_11)?(LED_4_OFF):(LED_4_ON))
#define LED_5_INV ((GPIOB->ODR & GPIO_Pin_12)?(LED_5_OFF):(LED_5_ON))
#define LED_6_INV ((GPIOB->ODR & GPIO_Pin_13)?(LED_6_OFF):(LED_6_ON))
#define LED_7_INV ((GPIOB->ODR & GPIO_Pin_14)?(LED_7_OFF):(LED_7_ON))
#define LED_8_INV ((GPIOB->ODR & GPIO_Pin_15)?(LED_8_OFF):(LED_8_ON))

//makra dziaajce na wszystkich diodach
#define LED_ALL_ON	GPIO_SetBits(GPIOB, GPIO_Pin_8 | GPIO_Pin_9 | GPIO_Pin_10 | GPIO_Pin_11 | GPIO_Pin_12 | GPIO_Pin_13 | GPIO_Pin_14 | GPIO_Pin_15)
#define LED_ALL_OFF	GPIO_ResetBits(GPIOB, GPIO_Pin_8 | GPIO_Pin_9 | GPIO_Pin_10 | GPIO_Pin_11 | GPIO_Pin_12 | GPIO_Pin_13 | GPIO_Pin_14 | GPIO_Pin_15)
#define LED_ALL_INV LED_1_INV;LED_2_INV;LED_3_INV;LED_4_INV;LED_5_INV;LED_6_INV;LED_7_INV;LED_8_INV

//makra zmieniajce stan na pinie piezo
#define BEEPER_ON	GPIO_SetBits(GPIOA, GPIO_Pin_6)
#define BEEPER_OFF	GPIO_ResetBits(GPIOA, GPIO_Pin_6)
#define BEEPER_INV	((GPIOA->ODR & GPIO_Pin_6)?(BEEPER_OFF):(BEEPER_ON))

#endif /* MACRO_H_ */
